package org.fabric3.spi.scanner;

import java.io.IOException;
import java.net.URL;

/**
 * Tracks changes to a file system resource.
 *
 * @version $Rev: 714 $ $Date: 2007-08-14 20:12:13 -0700 (Tue, 14 Aug 2007) $
 */
public interface FileSystemResource {

    String getName();

    URL getLocation();

    boolean isChanged() throws IOException;

    byte[] getChecksum();

    long getTimestamp();

    public void reset() throws IOException;

}
