package org.fabric3.spi.scanner;

/**
 * Provides metadata for a FileSystemResource that has been sent to a DirectoryScannerDestination
 *
 * @version $Rev: 714 $ $Date: 2007-08-14 20:12:13 -0700 (Tue, 14 Aug 2007) $
 */
public interface ResourceMetaData {

    /**
     * Returns the last-updated artifact checksum.
     *
     * @return the last-updated artifact checksum
     */
    byte[] getChecksum();

    /**
     * Returns the last-updated artifact timestamp.
     *
     * @return the last-updated artifact timestamp
     */
    long getTimestamp();
}
